// Generated by gencpp from file thesis_pad/Arrived.msg
// DO NOT EDIT!


#ifndef THESIS_PAD_MESSAGE_ARRIVED_H
#define THESIS_PAD_MESSAGE_ARRIVED_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace thesis_pad
{
template <class ContainerAllocator>
struct Arrived_
{
  typedef Arrived_<ContainerAllocator> Type;

  Arrived_()
    : name()
    , arrived(false)
    , quit(false)
    , occupied(false)  {
    }
  Arrived_(const ContainerAllocator& _alloc)
    : name(_alloc)
    , arrived(false)
    , quit(false)
    , occupied(false)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _name_type;
  _name_type name;

   typedef uint8_t _arrived_type;
  _arrived_type arrived;

   typedef uint8_t _quit_type;
  _quit_type quit;

   typedef uint8_t _occupied_type;
  _occupied_type occupied;





  typedef boost::shared_ptr< ::thesis_pad::Arrived_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::thesis_pad::Arrived_<ContainerAllocator> const> ConstPtr;

}; // struct Arrived_

typedef ::thesis_pad::Arrived_<std::allocator<void> > Arrived;

typedef boost::shared_ptr< ::thesis_pad::Arrived > ArrivedPtr;
typedef boost::shared_ptr< ::thesis_pad::Arrived const> ArrivedConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::thesis_pad::Arrived_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::thesis_pad::Arrived_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::thesis_pad::Arrived_<ContainerAllocator1> & lhs, const ::thesis_pad::Arrived_<ContainerAllocator2> & rhs)
{
  return lhs.name == rhs.name &&
    lhs.arrived == rhs.arrived &&
    lhs.quit == rhs.quit &&
    lhs.occupied == rhs.occupied;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::thesis_pad::Arrived_<ContainerAllocator1> & lhs, const ::thesis_pad::Arrived_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace thesis_pad

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::Arrived_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::Arrived_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::Arrived_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::Arrived_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::Arrived_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::Arrived_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::thesis_pad::Arrived_<ContainerAllocator> >
{
  static const char* value()
  {
    return "28548b496855d702abe422d706730c3e";
  }

  static const char* value(const ::thesis_pad::Arrived_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x28548b496855d702ULL;
  static const uint64_t static_value2 = 0xabe422d706730c3eULL;
};

template<class ContainerAllocator>
struct DataType< ::thesis_pad::Arrived_<ContainerAllocator> >
{
  static const char* value()
  {
    return "thesis_pad/Arrived";
  }

  static const char* value(const ::thesis_pad::Arrived_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::thesis_pad::Arrived_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string name\n"
"bool arrived\n"
"bool quit\n"
"bool occupied\n"
;
  }

  static const char* value(const ::thesis_pad::Arrived_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::thesis_pad::Arrived_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.name);
      stream.next(m.arrived);
      stream.next(m.quit);
      stream.next(m.occupied);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct Arrived_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::thesis_pad::Arrived_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::thesis_pad::Arrived_<ContainerAllocator>& v)
  {
    s << indent << "name: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.name);
    s << indent << "arrived: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.arrived);
    s << indent << "quit: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.quit);
    s << indent << "occupied: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.occupied);
  }
};

} // namespace message_operations
} // namespace ros

#endif // THESIS_PAD_MESSAGE_ARRIVED_H
